Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.dgmimpl.arrays
[Java] Class IntegerArrayPutAtMetaMethod

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayPutAtMetaMethod
                          org.codehaus.groovy.runtime.dgmimpl.arrays.IntegerArrayPutAtMetaMethod

    public class IntegerArrayPutAtMetaMethod
    extends ArrayPutAtMetaMethod

Field Summary

Fields inherited from class ArrayMetaMethod
INTEGER_CLASS, INTEGER_CLASS_ARR

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`IntegerArrayPutAtMetaMethod()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)`
`CachedClass` | `getDeclaringClass()`
`java.lang.Object` | `invoke(java.lang.Object object, java.lang.Object[] args)`

Methods inherited from class ArrayPutAtMetaMethod
getName, getReturnType

Methods inherited from class ArrayMetaMethod
getModifiers, normaliseIndex

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IntegerArrayPutAtMetaMethod

    public IntegerArrayPutAtMetaMethod()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)

### getDeclaringClass

    public final CachedClass getDeclaringClass()

### invoke

    public java.lang.Object invoke(java.lang.Object object, java.lang.Object[] args)

Groovy Documentation